#### D.4.16.51 compareVectors

Procedure from library `modules.lib` (see modules_lib).

Usage:
  compareVector(V1,V2); Vector V1,V2

Return:
  compares the given Vectors up tu equivalence

Example:

    LIB "modules.lib";
    ring r;
    matrix m[2][1] = x,-y;
    Module M = subquotient(id(2),m);
    Vector V = [x,y],M;
    Vector W = [0,2y],M;
    Vector U = [x,y2],M;
    compareVectors(V,W);
    ==> 1
    compareVectors(U,V);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.